@echo off

if not .%3==. goto Work

cls
echo SYNTAX:  install (source drive) (target drive) (target directory)
echo 
echo WHERE: (source drive)     is the floppy drive that contains the NPA diskette.
echo        (target drive)     is the drive letter to install NPA onto.
echo                           Installation to a hard drive is highly recommended!
echo        (target directory) is the directory on target drive to install NPA into.
echo 
echo EXAMPLE:  Suppose you placed the NPA diskette in drive A and you wish to
echo           install NPA in C:\NPA on your hard drive.  Then you'd enter the
echo           following command.
echo 
echo     install a: c: \npa
echo            
echo            Must have these spaces!
echo 
echo  Drive letters (1st and 2nd argument) must have the colon (:) included
echo  exactly as shown.
echo 
echo 
echo 
echo  NOTE:  NPA requires 2.5 Megabytes for installation.  After installation,
echo         NPA uses approximately 1.8 megabytes.
goto EndBat

:Work
set from=
set to=
if .%1==.a  set from=a:
if .%1==.a: set from=a:
if .%1==.b  set from=b:
if .%1==.b: set from=b:
if .%1==.A  set from=a:
if .%1==.A: set from=a:
if .%1==.B  set from=b:
if .%1==.B: set from=b:

if .%from%==.a: goto ChkSame
if .%from%==.b: goto ChkSame
echo 
echo 
echo Error:  Your floppy drive specification (%1) is bad.  Please use the following
echo         format for the (source drive) parameter....  a:  or  b:
echo 
goto EndBat

:ChkSame
if not .%from%==.%2 goto SetTo
echo 
echo 
echo Error:  You cannot install to the same drive that contains the NPA distribution
echo         diskette.  Choose a different drive.  Hard drive is HIGHLY recommended!
echo 
goto EndBat

:SetTo
set to=%2%3

ctty nul:
if exist %to%\*.* goto HaveDir
md %to%
echo foo>%to%\foo
if exist %to%\foo goto HaveDir
ctty con:
echo 
echo 
echo Error:  Your target directory specification (%to%)
echo         appears to already exist as a file -- not as a directory.
echo         Please choose another target directory.
echo 
goto EndBat

:HaveDir
ctty con:
if exist %to%\npa_data.* del %to%\npa_data.*
if exist %to%\foo del %to%\foo
copy %from%\*.* %to%
%2
cd %3
ren npa_data.exe    npadata.exe
if exist npa_data.* del npa_data.*
if exist help.*     del help.*
npadata -o
del npadata.exe

cls
echo NPA installation is complete.
echo 
echo To access NPA, please place (%to%) in your path statement.
echo 
echo If you don't want to add yet another directory to your path, then you can do
echo the following:
echo 
echo    1.  Add the following to your autoexec.bat file (without the quotes):
echo        "set npa_data=%to%"
echo    2.  Copy %to%\npa.exe to a directory that's already on the path.
echo 
echo This way, you can still use NPA without adding it to your path.
echo 
echo 
echo 
echo If this is a PURCHASED copy of NPA, Thank You.  Please run the BRAND program to
echo stamp your copy as registered.  Use the data printed on the included card.
echo 
echo If this is an unregistered copy downloaded from a BBS, online service, or from
echo a shareware distribution house, then *please* register if you like and use NPA.
echo Please see the file NPA.DOC under "licensing" for more information.

:EndBat
